"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
This Source Code Form is subject to the terms of the Mozilla Public
License, v. 2.0. If a copy of the MPL was not distributed with this
file, You can obtain one at https://mozilla.org/MPL/2.0/.
"""

import builtins
import collections.abc
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.internal.enum_type_wrapper
import google.protobuf.message
import google.protobuf.struct_pb2
import sys
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

@typing.final
class WorkflowDeploy(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    @typing.final
    class WorkflowActionResources(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        CPU_FIELD_NUMBER: builtins.int
        MEMORY_FIELD_NUMBER: builtins.int
        TIME_FIELD_NUMBER: builtins.int
        GPU_FIELD_NUMBER: builtins.int
        cpu: builtins.float
        memory: builtins.int
        time: builtins.float
        gpu: builtins.int
        def __init__(
            self,
            *,
            cpu: builtins.float | None = ...,
            memory: builtins.int | None = ...,
            time: builtins.float | None = ...,
            gpu: builtins.int | None = ...,
        ) -> None: ...
        def HasField(self, field_name: typing.Literal["_cpu", b"_cpu", "_gpu", b"_gpu", "_memory", b"_memory", "_time", b"_time", "cpu", b"cpu", "gpu", b"gpu", "memory", b"memory", "time", b"time"]) -> builtins.bool: ...
        def ClearField(self, field_name: typing.Literal["_cpu", b"_cpu", "_gpu", b"_gpu", "_memory", b"_memory", "_time", b"_time", "cpu", b"cpu", "gpu", b"gpu", "memory", b"memory", "time", b"time"]) -> None: ...
        @typing.overload
        def WhichOneof(self, oneof_group: typing.Literal["_cpu", b"_cpu"]) -> typing.Literal["cpu"] | None: ...
        @typing.overload
        def WhichOneof(self, oneof_group: typing.Literal["_gpu", b"_gpu"]) -> typing.Literal["gpu"] | None: ...
        @typing.overload
        def WhichOneof(self, oneof_group: typing.Literal["_memory", b"_memory"]) -> typing.Literal["memory"] | None: ...
        @typing.overload
        def WhichOneof(self, oneof_group: typing.Literal["_time", b"_time"]) -> typing.Literal["time"] | None: ...

    @typing.final
    class WorkflowActionConstraints(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        SITE_LIST_FIELD_NUMBER: builtins.int
        NODE_POOL_LIST_FIELD_NUMBER: builtins.int
        SITE_TYPE_LIST_FIELD_NUMBER: builtins.int
        ARCH_LIST_FIELD_NUMBER: builtins.int
        @property
        def site_list(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]: ...
        @property
        def node_pool_list(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]: ...
        @property
        def site_type_list(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]: ...
        @property
        def arch_list(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]: ...
        def __init__(
            self,
            *,
            site_list: collections.abc.Iterable[builtins.str] | None = ...,
            node_pool_list: collections.abc.Iterable[builtins.str] | None = ...,
            site_type_list: collections.abc.Iterable[builtins.str] | None = ...,
            arch_list: collections.abc.Iterable[builtins.str] | None = ...,
        ) -> None: ...
        def ClearField(self, field_name: typing.Literal["arch_list", b"arch_list", "node_pool_list", b"node_pool_list", "site_list", b"site_list", "site_type_list", b"site_type_list"]) -> None: ...

    @typing.final
    class WorkflowActionObjectives(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        ENERGY_FIELD_NUMBER: builtins.int
        COST_FIELD_NUMBER: builtins.int
        PERFORMANCE_FIELD_NUMBER: builtins.int
        energy: builtins.float
        cost: builtins.float
        performance: builtins.float
        def __init__(
            self,
            *,
            energy: builtins.float = ...,
            cost: builtins.float = ...,
            performance: builtins.float = ...,
        ) -> None: ...
        def ClearField(self, field_name: typing.Literal["cost", b"cost", "energy", b"energy", "performance", b"performance"]) -> None: ...

    @typing.final
    class WorkflowResult(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        WORKFLOW_RESULT_ID_FIELD_NUMBER: builtins.int
        WORKFLOW_ACTION_IO_ID_FIELD_NUMBER: builtins.int
        KEY_FIELD_NUMBER: builtins.int
        TECHNICAL_NAME_FIELD_NUMBER: builtins.int
        ACTION_ID_FIELD_NUMBER: builtins.int
        workflow_result_id: builtins.str
        workflow_action_io_id: builtins.str
        key: builtins.str
        technical_name: builtins.str
        action_id: builtins.str
        def __init__(
            self,
            *,
            workflow_result_id: builtins.str = ...,
            workflow_action_io_id: builtins.str = ...,
            key: builtins.str = ...,
            technical_name: builtins.str = ...,
            action_id: builtins.str = ...,
        ) -> None: ...
        def ClearField(self, field_name: typing.Literal["action_id", b"action_id", "key", b"key", "technical_name", b"technical_name", "workflow_action_io_id", b"workflow_action_io_id", "workflow_result_id", b"workflow_result_id"]) -> None: ...

    @typing.final
    class WorkflowActionIO(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        class _IOType:
            ValueType = typing.NewType("ValueType", builtins.int)
            V: typing_extensions.TypeAlias = ValueType

        class _IOTypeEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[WorkflowDeploy.WorkflowActionIO._IOType.ValueType], builtins.type):
            DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
            NONE: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 0
            LONGSTRING: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 1
            INTEGER: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 2
            FLOAT: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 3
            PASSWORD: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 4
            ENUM: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 5
            FILE: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 6
            DIRECTORY: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 7
            TABLE: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 8
            """deprecated"""
            BYTES: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 9
            """deprecated"""
            BOOLEAN: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 10
            DIRECTORY_REFERENCE: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 11
            """deprecated"""
            FILE_REFERENCE: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 12
            """deprecated"""
            STRING: WorkflowDeploy.WorkflowActionIO._IOType.ValueType  # 13

        class IOType(_IOType, metaclass=_IOTypeEnumTypeWrapper): ...
        NONE: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 0
        LONGSTRING: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 1
        INTEGER: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 2
        FLOAT: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 3
        PASSWORD: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 4
        ENUM: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 5
        FILE: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 6
        DIRECTORY: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 7
        TABLE: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 8
        """deprecated"""
        BYTES: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 9
        """deprecated"""
        BOOLEAN: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 10
        DIRECTORY_REFERENCE: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 11
        """deprecated"""
        FILE_REFERENCE: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 12
        """deprecated"""
        STRING: WorkflowDeploy.WorkflowActionIO.IOType.ValueType  # 13

        class _ORIGIN:
            ValueType = typing.NewType("ValueType", builtins.int)
            V: typing_extensions.TypeAlias = ValueType

        class _ORIGINEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[WorkflowDeploy.WorkflowActionIO._ORIGIN.ValueType], builtins.type):
            DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
            PATH: WorkflowDeploy.WorkflowActionIO._ORIGIN.ValueType  # 0
            HEADER: WorkflowDeploy.WorkflowActionIO._ORIGIN.ValueType  # 1
            QUERY: WorkflowDeploy.WorkflowActionIO._ORIGIN.ValueType  # 2
            COOKIE: WorkflowDeploy.WorkflowActionIO._ORIGIN.ValueType  # 3
            BODY: WorkflowDeploy.WorkflowActionIO._ORIGIN.ValueType  # 4

        class ORIGIN(_ORIGIN, metaclass=_ORIGINEnumTypeWrapper): ...
        PATH: WorkflowDeploy.WorkflowActionIO.ORIGIN.ValueType  # 0
        HEADER: WorkflowDeploy.WorkflowActionIO.ORIGIN.ValueType  # 1
        QUERY: WorkflowDeploy.WorkflowActionIO.ORIGIN.ValueType  # 2
        COOKIE: WorkflowDeploy.WorkflowActionIO.ORIGIN.ValueType  # 3
        BODY: WorkflowDeploy.WorkflowActionIO.ORIGIN.ValueType  # 4

        TECHNICAL_NAME_FIELD_NUMBER: builtins.int
        DISPLAY_NAME_FIELD_NUMBER: builtins.int
        HELP_FIELD_NUMBER: builtins.int
        TYPE_FIELD_NUMBER: builtins.int
        ENUM_VALUES_FIELD_NUMBER: builtins.int
        ORIGIN_FIELD_NUMBER: builtins.int
        ADDON_NAME_FIELD_NUMBER: builtins.int
        OPTIONAL_FIELD_NUMBER: builtins.int
        technical_name: builtins.str
        display_name: builtins.str
        help: builtins.str
        type: global___WorkflowDeploy.WorkflowActionIO.IOType.ValueType
        origin: global___WorkflowDeploy.WorkflowActionIO.ORIGIN.ValueType
        addon_name: builtins.str
        optional: builtins.bool
        @property
        def enum_values(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]: ...
        def __init__(
            self,
            *,
            technical_name: builtins.str = ...,
            display_name: builtins.str = ...,
            help: builtins.str = ...,
            type: global___WorkflowDeploy.WorkflowActionIO.IOType.ValueType = ...,
            enum_values: collections.abc.Iterable[builtins.str] | None = ...,
            origin: global___WorkflowDeploy.WorkflowActionIO.ORIGIN.ValueType | None = ...,
            addon_name: builtins.str | None = ...,
            optional: builtins.bool = ...,
        ) -> None: ...
        def HasField(self, field_name: typing.Literal["_addon_name", b"_addon_name", "_origin", b"_origin", "addon_name", b"addon_name", "origin", b"origin"]) -> builtins.bool: ...
        def ClearField(self, field_name: typing.Literal["_addon_name", b"_addon_name", "_origin", b"_origin", "addon_name", b"addon_name", "display_name", b"display_name", "enum_values", b"enum_values", "help", b"help", "optional", b"optional", "origin", b"origin", "technical_name", b"technical_name", "type", b"type"]) -> None: ...
        @typing.overload
        def WhichOneof(self, oneof_group: typing.Literal["_addon_name", b"_addon_name"]) -> typing.Literal["addon_name"] | None: ...
        @typing.overload
        def WhichOneof(self, oneof_group: typing.Literal["_origin", b"_origin"]) -> typing.Literal["origin"] | None: ...

    @typing.final
    class WorkflowAction(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        class _Kind:
            ValueType = typing.NewType("ValueType", builtins.int)
            V: typing_extensions.TypeAlias = ValueType

        class _KindEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[WorkflowDeploy.WorkflowAction._Kind.ValueType], builtins.type):
            DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
            NONE: WorkflowDeploy.WorkflowAction._Kind.ValueType  # 0
            TRIGGER: WorkflowDeploy.WorkflowAction._Kind.ValueType  # 1
            PROCESSOR: WorkflowDeploy.WorkflowAction._Kind.ValueType  # 2
            PUBLISHER: WorkflowDeploy.WorkflowAction._Kind.ValueType  # 3

        class Kind(_Kind, metaclass=_KindEnumTypeWrapper): ...
        NONE: WorkflowDeploy.WorkflowAction.Kind.ValueType  # 0
        TRIGGER: WorkflowDeploy.WorkflowAction.Kind.ValueType  # 1
        PROCESSOR: WorkflowDeploy.WorkflowAction.Kind.ValueType  # 2
        PUBLISHER: WorkflowDeploy.WorkflowAction.Kind.ValueType  # 3

        @typing.final
        class ActionAddonsEntry(google.protobuf.message.Message):
            DESCRIPTOR: google.protobuf.descriptor.Descriptor

            KEY_FIELD_NUMBER: builtins.int
            VALUE_FIELD_NUMBER: builtins.int
            key: builtins.str
            @property
            def value(self) -> google.protobuf.struct_pb2.Struct: ...
            def __init__(
                self,
                *,
                key: builtins.str = ...,
                value: google.protobuf.struct_pb2.Struct | None = ...,
            ) -> None: ...
            def HasField(self, field_name: typing.Literal["value", b"value"]) -> builtins.bool: ...
            def ClearField(self, field_name: typing.Literal["key", b"key", "value", b"value"]) -> None: ...

        @typing.final
        class ReferenceValuesEntry(google.protobuf.message.Message):
            DESCRIPTOR: google.protobuf.descriptor.Descriptor

            KEY_FIELD_NUMBER: builtins.int
            VALUE_FIELD_NUMBER: builtins.int
            key: builtins.str
            @property
            def value(self) -> global___WorkflowDeploy.ReferenceValue: ...
            def __init__(
                self,
                *,
                key: builtins.str = ...,
                value: global___WorkflowDeploy.ReferenceValue | None = ...,
            ) -> None: ...
            def HasField(self, field_name: typing.Literal["value", b"value"]) -> builtins.bool: ...
            def ClearField(self, field_name: typing.Literal["key", b"key", "value", b"value"]) -> None: ...

        @typing.final
        class FileValuesEntry(google.protobuf.message.Message):
            DESCRIPTOR: google.protobuf.descriptor.Descriptor

            KEY_FIELD_NUMBER: builtins.int
            VALUE_FIELD_NUMBER: builtins.int
            key: builtins.str
            value: builtins.str
            def __init__(
                self,
                *,
                key: builtins.str = ...,
                value: builtins.str = ...,
            ) -> None: ...
            def ClearField(self, field_name: typing.Literal["key", b"key", "value", b"value"]) -> None: ...

        WORKFLOW_ACTION_ID_FIELD_NUMBER: builtins.int
        ACTION_ID_FIELD_NUMBER: builtins.int
        HUMAN_NAME_FIELD_NUMBER: builtins.int
        DESCRIPTION_FIELD_NUMBER: builtins.int
        ACTION_ADDONS_FIELD_NUMBER: builtins.int
        TECHNICAL_NAME_FIELD_NUMBER: builtins.int
        VERSION_FIELD_NUMBER: builtins.int
        KIND_FIELD_NUMBER: builtins.int
        INPUTS_FIELD_NUMBER: builtins.int
        ADDONS_INPUTS_FIELD_NUMBER: builtins.int
        OUTPUTS_FIELD_NUMBER: builtins.int
        DYNAMIC_OUTPUTS_FIELD_NUMBER: builtins.int
        HAS_DYNAMIC_OUTPUTS_FIELD_NUMBER: builtins.int
        PROJECT_ID_FIELD_NUMBER: builtins.int
        NEXT_ACTIONS_FIELD_NUMBER: builtins.int
        CONTAINER_IMAGE_FIELD_NUMBER: builtins.int
        STATIC_VALUES_FIELD_NUMBER: builtins.int
        REFERENCE_VALUES_FIELD_NUMBER: builtins.int
        FILE_VALUES_FIELD_NUMBER: builtins.int
        RESOURCES_FIELD_NUMBER: builtins.int
        CONSTRAINTS_FIELD_NUMBER: builtins.int
        OBJECTIVES_FIELD_NUMBER: builtins.int
        workflow_action_id: builtins.str
        action_id: builtins.str
        human_name: builtins.str
        description: builtins.str
        technical_name: builtins.str
        version: builtins.str
        kind: global___WorkflowDeploy.WorkflowAction.Kind.ValueType
        has_dynamic_outputs: builtins.bool
        project_id: builtins.str
        container_image: builtins.str
        @property
        def action_addons(self) -> google.protobuf.internal.containers.MessageMap[builtins.str, google.protobuf.struct_pb2.Struct]: ...
        @property
        def inputs(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___WorkflowDeploy.WorkflowActionIO]: ...
        @property
        def addons_inputs(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___WorkflowDeploy.WorkflowActionIO]: ...
        @property
        def outputs(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___WorkflowDeploy.WorkflowActionIO]: ...
        @property
        def dynamic_outputs(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___WorkflowDeploy.WorkflowActionIO]: ...
        @property
        def next_actions(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]: ...
        @property
        def static_values(self) -> google.protobuf.struct_pb2.Struct: ...
        @property
        def reference_values(self) -> google.protobuf.internal.containers.MessageMap[builtins.str, global___WorkflowDeploy.ReferenceValue]: ...
        @property
        def file_values(self) -> google.protobuf.internal.containers.ScalarMap[builtins.str, builtins.str]: ...
        @property
        def resources(self) -> global___WorkflowDeploy.WorkflowActionResources: ...
        @property
        def constraints(self) -> global___WorkflowDeploy.WorkflowActionConstraints: ...
        @property
        def objectives(self) -> global___WorkflowDeploy.WorkflowActionObjectives: ...
        def __init__(
            self,
            *,
            workflow_action_id: builtins.str = ...,
            action_id: builtins.str = ...,
            human_name: builtins.str = ...,
            description: builtins.str = ...,
            action_addons: collections.abc.Mapping[builtins.str, google.protobuf.struct_pb2.Struct] | None = ...,
            technical_name: builtins.str = ...,
            version: builtins.str = ...,
            kind: global___WorkflowDeploy.WorkflowAction.Kind.ValueType = ...,
            inputs: collections.abc.Iterable[global___WorkflowDeploy.WorkflowActionIO] | None = ...,
            addons_inputs: collections.abc.Iterable[global___WorkflowDeploy.WorkflowActionIO] | None = ...,
            outputs: collections.abc.Iterable[global___WorkflowDeploy.WorkflowActionIO] | None = ...,
            dynamic_outputs: collections.abc.Iterable[global___WorkflowDeploy.WorkflowActionIO] | None = ...,
            has_dynamic_outputs: builtins.bool = ...,
            project_id: builtins.str = ...,
            next_actions: collections.abc.Iterable[builtins.str] | None = ...,
            container_image: builtins.str = ...,
            static_values: google.protobuf.struct_pb2.Struct | None = ...,
            reference_values: collections.abc.Mapping[builtins.str, global___WorkflowDeploy.ReferenceValue] | None = ...,
            file_values: collections.abc.Mapping[builtins.str, builtins.str] | None = ...,
            resources: global___WorkflowDeploy.WorkflowActionResources | None = ...,
            constraints: global___WorkflowDeploy.WorkflowActionConstraints | None = ...,
            objectives: global___WorkflowDeploy.WorkflowActionObjectives | None = ...,
        ) -> None: ...
        def HasField(self, field_name: typing.Literal["constraints", b"constraints", "objectives", b"objectives", "resources", b"resources", "static_values", b"static_values"]) -> builtins.bool: ...
        def ClearField(self, field_name: typing.Literal["action_addons", b"action_addons", "action_id", b"action_id", "addons_inputs", b"addons_inputs", "constraints", b"constraints", "container_image", b"container_image", "description", b"description", "dynamic_outputs", b"dynamic_outputs", "file_values", b"file_values", "has_dynamic_outputs", b"has_dynamic_outputs", "human_name", b"human_name", "inputs", b"inputs", "kind", b"kind", "next_actions", b"next_actions", "objectives", b"objectives", "outputs", b"outputs", "project_id", b"project_id", "reference_values", b"reference_values", "resources", b"resources", "static_values", b"static_values", "technical_name", b"technical_name", "version", b"version", "workflow_action_id", b"workflow_action_id"]) -> None: ...

    @typing.final
    class ReferenceValue(google.protobuf.message.Message):
        DESCRIPTOR: google.protobuf.descriptor.Descriptor

        WORKFLOW_ACTION_ID_FIELD_NUMBER: builtins.int
        OUTPUT_TECHNICAL_NAME_FIELD_NUMBER: builtins.int
        workflow_action_id: builtins.str
        output_technical_name: builtins.str
        def __init__(
            self,
            *,
            workflow_action_id: builtins.str = ...,
            output_technical_name: builtins.str = ...,
        ) -> None: ...
        def ClearField(self, field_name: typing.Literal["output_technical_name", b"output_technical_name", "workflow_action_id", b"workflow_action_id"]) -> None: ...

    ID_FIELD_NUMBER: builtins.int
    NAME_FIELD_NUMBER: builtins.int
    ACTIONS_FIELD_NUMBER: builtins.int
    PROJECT_ID_FIELD_NUMBER: builtins.int
    RESULTS_FIELD_NUMBER: builtins.int
    id: builtins.str
    name: builtins.str
    project_id: builtins.str
    @property
    def actions(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___WorkflowDeploy.WorkflowAction]: ...
    @property
    def results(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___WorkflowDeploy.WorkflowResult]: ...
    def __init__(
        self,
        *,
        id: builtins.str = ...,
        name: builtins.str = ...,
        actions: collections.abc.Iterable[global___WorkflowDeploy.WorkflowAction] | None = ...,
        project_id: builtins.str = ...,
        results: collections.abc.Iterable[global___WorkflowDeploy.WorkflowResult] | None = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["actions", b"actions", "id", b"id", "name", b"name", "project_id", b"project_id", "results", b"results"]) -> None: ...

global___WorkflowDeploy = WorkflowDeploy

@typing.final
class WorkflowUndeploy(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    WORKFLOW_ID_FIELD_NUMBER: builtins.int
    PROJECT_ID_FIELD_NUMBER: builtins.int
    GRACEFUL_FIELD_NUMBER: builtins.int
    workflow_id: builtins.str
    project_id: builtins.str
    graceful: builtins.bool
    def __init__(
        self,
        *,
        workflow_id: builtins.str = ...,
        project_id: builtins.str = ...,
        graceful: builtins.bool = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["graceful", b"graceful", "project_id", b"project_id", "workflow_id", b"workflow_id"]) -> None: ...

global___WorkflowUndeploy = WorkflowUndeploy

@typing.final
class WorkflowDeleted(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    WORKFLOW_ID_FIELD_NUMBER: builtins.int
    PROJECT_ID_FIELD_NUMBER: builtins.int
    workflow_id: builtins.str
    project_id: builtins.str
    def __init__(
        self,
        *,
        workflow_id: builtins.str = ...,
        project_id: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["project_id", b"project_id", "workflow_id", b"workflow_id"]) -> None: ...

global___WorkflowDeleted = WorkflowDeleted
